clear all
clc

%% calcolo dimensionamento produzione per flotta
kero_density=0.786;
calorific_value_kero=46.2;  %%MJ/kg
calorific_value_H2=141.9;   %%MJ/kg
calorific_factor=calorific_value_kero/calorific_value_H2;


%%a320
a320_kerosene_litres=23859;
a320_kerosene_kg=a320_kerosene_litres*kero_density;
a320_H2_kg=a320_kerosene_kg*calorific_factor;

%%b737
b737_kerosene_litres=22596;
b737_kerosene_kg=b737_kerosene_litres*kero_density;
b737_H2_kg=b737_kerosene_kg*calorific_factor;  

subsonic_case_kg=2*b737_H2_kg+2*a320_H2_kg;
supersonic_case_kg=17000;

%% Calcoli produzione idrogeno liquido

limit_power=50;                 %%[Kw*h/ kg] energia necessaria per produrre 1 kg di h2 in 1 ora
solar_irradiance=1000;          %%[W/m^2] assunzione per penetrazione in atmosfera con dissipazione
average_sun_time=6;          %%[h] dalle tabelle worst case
panel_loss=0.36;
efficiency=0.64;                %%rendimento del pannello 100-36

%%fuel_weight=subsonic_case_kg;              %%[kg] Prendendo il riferimento il supersonic green concorde ideato nel progetto
fuel_weight=supersonic_case_kg;

power_required=fuel_weight*limit_power;
power_hour_required=power_required/16;  %%assunzione 16 ore di funzionamento dell'impianto

solar_array_power= power_hour_required/average_sun_time*efficiency;

energy_cost_gross= 0.23522;
tot_gross_daily_cost=energy_cost_gross*power_required;

h2_cost_kg=3;
h2_energy_cost=fuel_weight*h2_cost_kg;

%% solar array dimensioning
size_polimono=1.55*1.05;
size_monocomp=1.3*1;
size_film=1.2*0.6;
pw_polimono=370;
pw_monocomp=200;
pw_film=87.5;
pw_sp_polimono=pw_polimono/size_polimono;   %%[W/m^2]
pw_sp_mono=pw_monocomp/size_monocomp;       %%[W/m^2]
pw_sp_film=pw_film/size_film;               %%[W/m^2]

dimension_array=solar_array_power*1000/pw_sp_polimono;



%% refueling time

h2_pressure=150;                            %%[bar]


h2_density=0.071;                           %%[kg/m^3]
g=9.8;                                       %%[m/s^2]
V_exit=sqrt(2*g*((h2_pressure*100000/g)+10));%%[m/s]
pump_section=0.15^2*pi/4;                    %%[m^]
flow_rate=(pump_section*V_exit*h2_density)*60;%%[kg/min]


time_refuel=30;         %%minutes
Q=17000/flow_rate; %%[kg/min]
Qsec=Q/60;                %%[kg/sec]

%% Operative cost subsonic case
%%a320


%%b737-800







